## Function template if_

boost::log::expressions::if_

## Synopsis

    // In header: <boost/log/expressions/formatters/if.hpp>

    template<typename CondT> unspecified if_(CondT const & cond);

## Description

The function returns a conditional formatter generator object. The generator provides `operator[]` that can be used to construct the actual formatter. The formatter must participate in a streaming expression.

Parameters:

`cond` | A filter expression that will be used as the condition